%define module_version 0.09
%define module_name Starman-ModCluster
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(IO/Socket/Multicast.pm) perl(IPC/Shareable.pm) perl(Net/MCMP.pm) perl(Net/Server/SS/PreFork.pm) perl(Plack/Handler/Starman.pm) perl(Starman.pm) perl(Starman/Server.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: mod_cluster extension to Starman web server
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/W/WI/WINFINIT/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Starman::ModCluster is an extension to a Starman web server that allows an application to register with
mod_cluster (httpd module), and that permits one to have dynamic load balancing.

=over 4

=item UNIX only

This server does not support Win32.

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/S*
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Tue May 13 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

